Subject: RE: [Simple] Message Sessions: Soft State

From: [email-masked]
Date: Tue, 8 Apr 2003 11:58:32 +0300

I agree that soft state is a very good idea here. For BIND, I think the suggested header with expires value is a good idea.

For visitations however, why not define a new method, or a pair of methods similar to PING/PONG in IRC to test the liveliness of an endpoint?

Cheers,
Aki

 > -----Original Message-----
 > From: ext Adam Roach [mailto:[email-masked]]
 > Sent: 08 April, 2003 02:48
 > To: [email-masked]'
 > Subject: [Simple] Message Sessions: Soft State
 > 
 > 
 > The current message sessions draft talks about
 > binding and visiting as operations that create
 > hard state. In San Francisco, we discussed the
 > possibility of changing this mechanism so that
 > they instead create soft-state that requires
 > refreshing.
 > 
 > I wanted to make certain this topic was brought
 > up on the mailing list, and that any objections
 > have a chance to be raised.
 > 
 > Personally, I think the soft-state approach is
 > a really good idea, and one that we should
 > definitely add to the MSRP protocol.
 > 
 > Basically, VISIT and BIND would include a header
 > that indicates a lifetime for the visitation or
 > binding. If either is not refreshed before the
 > time expires, resources can be released.
 > 
 > A very simple scheme would involve putting such
 > values into the 200 response to BIND and VISIT
 > requests. In other words, the server decides such
 > values unilaterally. This saves a great deal of
 > implementation complexity.
 > 
 > /a
 > _______________________________________________
 > Simple mailing list
 > [email-masked]
 > https://www1.ietf.org/mailman/listinfo/simple
 > 
_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple